<?php
/*
  $Id: tax_below_price.php
  $Loc: catalog/mobile/includes/modules/store/

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  2015 show tax below price 3.0 BS by @raiwa info@sarplataygemas.com
  based on 2.3 by @raiwa
  Original version:
  By www.tim-international.net

  Copyright (c) 2015 osCommerce

  Released under the GNU General Public License
*/

  class st_tax_below_price {
    var $code = 'st_tax_below_price';
    var $group = 'store';
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function st_tax_below_price() {
      $this->title = MODULE_STORE_TAX_BELOW_PRICE_TITLE;
      $this->description = MODULE_STORE_TAX_BELOW_PRICE_DESCRIPTION;

      if ( defined('MODULE_STORE_TAX_BELOW_PRICE_STATUS') ) {
        $this->sort_order = MODULE_STORE_TAX_BELOW_PRICE_SORT_ORDER;
        $this->enabled = (MODULE_STORE_TAX_BELOW_PRICE_STATUS == 'True');
      }
    }

    function execute() {
      global $oscTemplate, $PHP_SELF, $currencies;

      if (tep_not_null(MODULE_STORE_TAX_BELOW_PRICE_PAGES)) {
        $pages_array = array();

        foreach (explode(';', MODULE_STORE_TAX_BELOW_PRICE_PAGES) as $page) {
          $page = trim($page);

          if (!empty($page)) {
            $pages_array[] = $page;
          }
        }
        
        if (in_array(basename($PHP_SELF), $pages_array) || basename($PHP_SELF) == 'catalog_mb.php') { // register only if page is selected
        	
          $oscTemplate->addBlock('<style type="text/css"> del .taxinfo { display: none; } s .taxinfo { display: none; } .caption .taxinfo { margin-top: -10px; } .btn .taxinfo { margin-top: 0px; }</style>' . "\n", 'header_tags');

          // remove tags from options menu
          if ( substr(basename($PHP_SELF), 0, 7) == 'product' ) { // add script only on product pages
          	$oscTemplate->addBlock('<script>
$("option").each(function () {
$(this).text($(this).text().replace(\'<div class="taxinfo"><small>\',\' \'));
$(this).text($(this).text().replace(\'</small></div>\',\'\'));
});
</script>', 'footer_scripts');
					} // end remove tags from options menu
					
          $currencies = new currencies_mod();

	      } // end if page is in array
      } // end if page array is not empty
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_STORE_TAX_BELOW_PRICE_STATUS');
    }

    function install() {
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Tax Below Price Module', 'MODULE_STORE_TAX_BELOW_PRICE_STATUS', 'True', 'Do you want to enable the Tax Below Price module?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Display tax amount', 'MODULE_STORE_TAX_BELOW_PRICE_DISPLAY_TAX_VALUE', 'True', 'Do you wants to include the tax amount?', '6', '2', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Pages', 'MODULE_STORE_TAX_BELOW_PRICE_PAGES', '" . implode(';', $this->get_default_pages()) . "', 'The pages to show Tax below Price.', '6', '3', 'st_tax_below_price_show_pages', 'st_tax_below_price_edit_pages(', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_STORE_TAX_BELOW_PRICE_SORT_ORDER', '1000', 'Sort order of display. No effect for this module.', '6', '4', now())");
      if ( defined('TEMPLATE_BLOCK_GROUPS') ) {
      	// If header_tags is not the first item on the list
        if( substr( TEMPLATE_BLOCK_GROUPS, 0, 11 ) != 'store' ) {
        	// Remove header_tags from wherever it is in the list
        	$template_block_groups = str_replace( ';store', '', TEMPLATE_BLOCK_GROUPS );
        	// And add header_tags back onto the front of the list
        	$template_block_groups = 'store;' . $template_block_groups;
        	$sql_data_array = array( 'configuration_value' => $template_block_groups );
        	// Update the database with the fixed string
        	tep_db_perform( TABLE_CONFIGURATION, $sql_data_array, 'update', "configuration_key = 'TEMPLATE_BLOCK_GROUPS'" );
        } // if( substr
      } // end if defined TEMPLATE_BLOCK_GROUPS
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_STORE_TAX_BELOW_PRICE_STATUS', 'MODULE_STORE_TAX_BELOW_PRICE_DISPLAY_TAX_VALUE', 'MODULE_STORE_TAX_BELOW_PRICE_PAGES', 'MODULE_STORE_TAX_BELOW_PRICE_SORT_ORDER');
    }

    function get_default_pages() {
    	global $PHP_SELF;
    	$exclude_array = array('checkout_process.php',
                   					 'download.php',
                   					 'redirect.php',
                   					 'ssl_check.php');
    	$file_extension = substr($PHP_SELF, strrpos($PHP_SELF, '.'));
    	$files_array = array();
    	if ($dir = @dir(DIR_FS_CATALOG)) {
    		while ($file = $dir->read()) {
    			if ( !is_dir(DIR_FS_CATALOG . $file) && !in_array($file, $exclude_array) ) {
    				if (substr($file, strrpos($file, '.')) == $file_extension) {
    					$files_array[] = $file;
    				}
    			}
    		}
    		sort($files_array);
    		$dir->close();
    		return $files_array;
    	}
    }
  }

  function st_tax_below_price_show_pages($text) {
    return nl2br(implode("\n", explode(';', $text)));
  }

  function st_tax_below_price_edit_pages($values, $key) {
    global $PHP_SELF;

    $file_extension = substr($PHP_SELF, strrpos($PHP_SELF, '.'));
    $files_array = array();
	  if ($dir = @dir(DIR_FS_CATALOG)) {
	    while ($file = $dir->read()) {
	      if (!is_dir(DIR_FS_CATALOG . $file)) {
	        if (substr($file, strrpos($file, '.')) == $file_extension) {
            $files_array[] = $file;
          }
        }
      }
      sort($files_array);
      $dir->close();
    }

    $values_array = explode(';', $values);

    $output = '';
    foreach ($files_array as $file) {
      $output .= tep_draw_checkbox_field('st_tax_below_price_file[]', $file, in_array($file, $values_array), null, True) . '&nbsp;' . tep_output_string($file) . '<br />';
    }

    if (!empty($output)) {
      $output = '<br />' . substr($output, 0, -6);
    }

    $output .= tep_draw_hidden_field('configuration[' . $key . ']', '', 'id="htrn_files"');

    $output .= '<script>
                function htrn_update_cfg_value() {
                  var htrn_selected_files = \'\';

                  if ($(\'input[name="st_tax_below_price_file[]"]\').length > 0) {
                    $(\'input[name="st_tax_below_price_file[]"]:checked\').each(function() {
                      htrn_selected_files += $(this).attr(\'value\') + \';\';
                    });

                    if (htrn_selected_files.length > 0) {
                      htrn_selected_files = htrn_selected_files.substring(0, htrn_selected_files.length - 1);
                    }
                  }

                  $(\'#htrn_files\').val(htrn_selected_files);
                }

                $(function() {
                  htrn_update_cfg_value();

                  if ($(\'input[name="st_tax_below_price_file[]"]\').length > 0) {
                    $(\'input[name="st_tax_below_price_file[]"]\').change(function() {
                      htrn_update_cfg_value();
                    });
                  }
                });
                </script>';

    return $output;
  }

  if (class_exists('currencies')) {
    class currencies_mod extends currencies {
    	// add tax below price mod
    	public function format($number, $calculate_currency_value = true, $currency_type = '', $currency_value = '', $products_tax = '', $show_tax_info = true) {
    		global $currency;

    		if (empty($currency_type)) $currency_type = $currency;

    		if ($calculate_currency_value == true) {
    			$rate = (tep_not_null($currency_value)) ? $currency_value : $this->currencies[$currency_type]['value'];
    			$format_string = $this->currencies[$currency_type]['symbol_left'] . number_format(tep_round($number * $rate, $this->currencies[$currency_type]['decimal_places']), $this->currencies[$currency_type]['decimal_places'], $this->currencies[$currency_type]['decimal_point'], $this->currencies[$currency_type]['thousands_point']) . $this->currencies[$currency_type]['symbol_right'];
    		} else {
    			$format_string = $this->currencies[$currency_type]['symbol_left'] . number_format(tep_round($number, $this->currencies[$currency_type]['decimal_places']), $this->currencies[$currency_type]['decimal_places'], $this->currencies[$currency_type]['decimal_point'], $this->currencies[$currency_type]['thousands_point']) . $this->currencies[$currency_type]['symbol_right'];
    		}

    		if ( MODULE_STORE_TAX_BELOW_PRICE_STATUS == 'True' && $show_tax_info == true && $number > 0 && $products_tax !== '' ) {
    			$format_string .= '<div class="taxinfo"><small>';
    			if ( $products_tax == '0' || DISPLAY_PRICE_WITH_TAX == 'false' ) {
    				$format_string .= MODULE_STORE_TAX_BELOW_PRICE_EXCLUDING_TAX;
    			} else {
    				if ( MODULE_STORE_TAX_BELOW_PRICE_DISPLAY_TAX_VALUE == 'True' ) {
    					$format_string .= sprintf(MODULE_STORE_TAX_BELOW_PRICE_INCLUDING_TAX_AMOUNT, $products_tax, null);
    				} else {
    					$format_string .= MODULE_STORE_TAX_BELOW_PRICE_INCLUDING_TAX_TEXTONLY;
    				}
    			}
    			$format_string.= '</small></div>';
    		}
    		return $format_string;
    	}
    	
    	// add tax below price mod
      public function display_price($products_price, $products_tax, $quantity = 1, $show_tax_info = true) {
      	return $this->format($this->calculate_price($products_price, $products_tax, $quantity), null, null, null, $products_tax, $show_tax_info);
      }
    } // end class currencies mod
  } // end if class exists
?>
