<?php
require_once('includes/application_top.php');
// BOF: SLiCK reCaptcha
  if (RECAPTCHA_CONTACTUS == 'true') {
    require_once(DIR_WS_CLASSES . 'recaptchalib.php');
  }
// EOF: SLiCK reCaptcha
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CONTACT_US);

  $error = false;
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'send')) {
    $name = tep_db_prepare_input($HTTP_POST_VARS['name']);
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email']);
    $enquiry = tep_db_prepare_input($HTTP_POST_VARS['enquiry']);

    if (!tep_validate_email($email_address)) {
      $error = true;

      $messageStack->add('contact', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }

	// BOF: SLiCK reCaptcha
    if (RECAPTCHA_CONTACTUS == 'true') {
      // the response from reCAPTCHA
      $resp = null;

      // was there a reCAPTCHA response?
      $resp = recaptcha_check_answer(RECAPTCHA_PRIVATE_KEY,
                                     tep_get_ip_address(),
                                     $HTTP_POST_VARS['recaptcha_challenge_field'],
                                     $HTTP_POST_VARS['recaptcha_response_field']);

      if (!$resp->is_valid) {
        $error = true;
        $messageStack->add('contact', ENTRY_SECURITY_CHECK_ERROR . " (reCAPTCHA output: " . $resp->error . ")");
      }
    }
// EOF: SLiCK reCaptcha

    $actionRecorder = new actionRecorder('ar_contact_us', (tep_session_is_registered('customer_id') ? $customer_id : null), $name);
    if (!$actionRecorder->canPerform()) {
      $error = true;

      $actionRecorder->record(false);

      $messageStack->add('contact', sprintf(ERROR_ACTION_RECORDER, (defined('MODULE_ACTION_RECORDER_CONTACT_US_EMAIL_MINUTES') ? (int)MODULE_ACTION_RECORDER_CONTACT_US_EMAIL_MINUTES : 15)));
    }

    if ($error == false) {
      tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, $enquiry, $name, $email_address);

      $actionRecorder->record();

      tep_redirect(tep_mobile_link(FILENAME_CONTACT_US, 'action=success'));
    }
  }

$breadcrumb->add(NAVBAR_TITLE, tep_mobile_link(FILENAME_CONTACT_US));
require(DIR_MOBILE_INCLUDES . 'header.php');
$headerTitle->write();
?>
<div id="iphone_content">
<div id="messageStack">
<?php
  if ($messageStack->size('contact') > 0) {
?>
        <?php echo $messageStack->output('contact'); ?>
<?php
  }
?>
</div>
<div id="contactForm">
<?php
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'success')) { ?>
  	  <?php echo TEXT_SUCCESS; ?>
  	  <div id="bouton">
  	  	<?php echo tep_button_jquery(IMAGE_BUTTON_CONTINUE,tep_mobile_link(FILENAME_DEFAULT),'b','button','data-icon="arrow-r" data-iconpos="right" data-inline="true"'); ?>
  	  </div>
<?php
	  } else {
	    echo tep_draw_form('contact_us', tep_mobile_link(FILENAME_CONTACT_US, 'action=send'), 'post','',true);

	    echo tep_label_input_jquery('name', '', ENTRY_NAME);
	 
	    echo tep_label_input_jquery('email', '', ENTRY_EMAIL, 'a', '', 'email');

	    echo tep_label_textarea_jquery('enquiry', ENTRY_ENQUIRY, '', '100px');
?>
	
	  <div id="bouton">
	  <?php 
	  
	  echo  tep_button_jquery( IMAGE_BUTTON_CONTINUE , '#', 'b' , 'submit' , 'data-icon="arrow-r" data-iconpos="right" data-inline="true"');
          ?>
	  </div>
	  </form>
<?php
  }
?>
	  
	  <br /><br />
	  <?php echo STORE_OWNER . '&nbsp;' . STORE_NAME_ADDRESS; ?>
</div>

<?php require(DIR_MOBILE_INCLUDES . 'footer.php');
?>
