<?php 
 /**
 *
 * ULTIMATE Seo Urls 5
 *
 * 
 * @package Ultimate Seo Urls 5
 * @license http://www.opensource.org/licenses/gpl-2.0.php GNU Public License
 * @link http://www.fwrmedia.co.uk
 * @copyright Copyright 2008-2009 FWR Media
 * @author Robert Fisher, FWR Media, http://www.fwrmedia.co.uk 
 * @lastdev $Author:: raiwa                                              $:  Author of last commit
 * @lastmod $Date:: 2012-12-20 09:11:09 +0000 (Thu, 20 Dec 2012)       $:  Date of last commit
 * @version $Rev:: 204                                                 $:  Revision of last commit
 * @Id $Id:: index.php 204 2012-12-20 09:11:09Z raiwa                     $:  Full Details   
 */
  chdir( '../' );
  include_once 'includes/application_top.php';
  
  function usu5_xml_exists( $doc, $file ) {
    $filepath = realpath( dirname( __FILE__ ) . '/../' ) . '/' . $file;
    if ( !is_readable( $filepath ) ) {
      if ( $fp = fopen( $filepath, 'w+' ) ) {
        fclose( $fp );
      } else {
        return trigger_error( __FUNCTION__ . ' could not open ' . $file, E_USER_WARNING );
      }
    }
    $doc->save( $filepath );
  }
  
  function usu5_xml_init( &$doc, &$root, $index = false, $categories = false, $mobilecategories = false, $products = false, $mobileproducts = false, $manufacturers = false ) {
    $doc = new DOMDocument('1.0', 'UTF-8');
    $doc->formatOutput = true;
    if (true == $products ) {
    	    $root = $doc->createElement( "urlset" );
    	    $root->setAttribute("xmlns", "http://www.sitemaps.org/schemas/sitemap/0.9");
    	    $root->setAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
    	    $root->setAttribute("xsi:schemaLocation", "http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd http://www.google.com/schemas/sitemap-image/1.1/sitemap-image.xsd");
    	    $root->setAttribute("xmlns:image", "http://www.google.com/schemas/sitemap-image/1.1");
    	} elseif (true == $mobileproducts ) {
    	    $root = $doc->createElement( "urlset" );
    	    $root->setAttribute("xmlns", "http://www.sitemaps.org/schemas/sitemap/0.9");
    	    $root->setAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
    	    $root->setAttribute("xsi:schemaLocation", "http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd http://www.google.com/schemas/sitemap-mobile/1.0/sitemap-mobile.xsd");
    	    $root->setAttribute("xmlns:mobile", "http://www.google.com/schemas/sitemap-mobile/1.0");
    	    $root->setAttribute("xmlns:image", "http://www.google.com/schemas/sitemap-image/1.1");
    	} elseif ( true == $categories || true == $manufacturers ) {
    	    $root = $doc->createElement( "urlset" );
    	    $root->setAttribute("xmlns", "http://www.sitemaps.org/schemas/sitemap/0.9");
    	    $root->setAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
    	} elseif ( true == $mobilecategories  ) {
    	    $root = $doc->createElement( "urlset" );
    	    $root->setAttribute("xmlns", "http://www.sitemaps.org/schemas/sitemap/0.9");
    	    $root->setAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
    	    $root->setAttribute("xsi:schemaLocation", "http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd http://www.google.com/schemas/sitemap-mobile/1.0/sitemap-mobile.xsd");
    	    $root->setAttribute("xmlns:mobile", "http://www.google.com/schemas/sitemap-mobile/1.0");
    	} else {
    		$root = $doc->createElement( "sitemapindex" );
    		$root->setAttribute("xmlns", "http://www.sitemaps.org/schemas/sitemap/0.9");
    	}
    	$doc->appendChild( $root );
  }
  function usu5_node_create( &$doc, &$root, $detail, $index = false, $categories = false, $mobilecategories = false, $products = false, $mobileproducts = false, $manufacturers = false ) {
    if ( false == $index ) {
      $parent = $doc->createElement( "url" );
    } else {
      $parent = $doc->createElement( "sitemap" );
    }
    $current = $doc->createElement( "loc" );
    $current->appendChild(
    $doc->createTextNode( $detail['url'] ) );
    $mod = $doc->createElement( "lastmod" );
    $mod->appendChild(
    $doc->createTextNode( $detail['lastmod'] ) );
    $freq = $doc->createElement( "changefreq" );
    $freq->appendChild(
    $doc->createTextNode( $detail['freq'] ));
    $priority = $doc->createElement( "priority" );
    $priority->appendChild(
    $doc->createTextNode( $detail['priority'] ));
    $parent->appendChild( $current );
    $parent->appendChild( $mod );
    if ( false == $index ) $parent->appendChild( $freq );
    if ( false == $index ) $parent->appendChild( $priority );
    $parentimage = $doc->createElement( "image:image" );
    $image = $doc->createElement( "image:loc" );
    $image->appendChild(
    $doc->createTextNode( $detail['imageurl'] ) );
    $parentimage->appendChild( $image );
    $imagetitle = $doc->createElement( "image:title" );
    $imagetitle->appendChild(
    $doc->createTextNode( $detail['imagetitle'] ) );
    $parentimage->appendChild( $imagetitle );
    if ((( true == $products ) || ( true == $mobileproducts )) && ( $detail['imageurl'] ) != tep_href_link(DIR_WS_IMAGES,  '', 'NONSSL', false )) $parent->appendChild( $parentimage );
    $mobile = $doc->createElement( "mobile:mobile" );
    if ( true == $mobilecategories || true == $mobileproducts ) $parent->appendChild( $mobile );
    $root->appendChild( $parent );
  }
  
  function setCpath( $categories, $id ) {
    static $entry_id, $cpatharray;
    if(!isset($entry_id) || $entry_id == NULL) $entry_id = $id;
    ( empty( $cpatharray ) ? $cpatharray = array( $id ) : NULL );
    array_push( $cpatharray, $categories[$id]['parent'] );
    if( ( isset( $categories[$categories[$id]['parent']]['parent'] ) && $categories[$categories[$id]['parent']]['parent'] != '0' ) ) {
      setCpath( $categories, $categories[$id]['parent'] );
    }
    $fwrcpath = implode( '_', array_reverse( $cpatharray ) );
    if( $id == $entry_id ) {
      $entry_id = NULL;
      $cpatharray = array();
      return $fwrcpath;
    }
  }

  function categoriesFullScan(){
    $sql = "SELECT categories_id, parent_id, date_added, last_modified FROM " . TABLE_CATEGORIES . " GROUP BY categories_id ORDER BY date_added ASC, last_modified ASC";
    return tep_db_query($sql);
  }

  function buildCategoriesCache() {
    $result = categoriesFullScan();
    while ( $row = tep_db_fetch_array( $result ) ) {
      $categories[$row['categories_id']] = array( 'id'       => $row['categories_id'],
                                                  'parent'   => $row['parent_id'],
                                                  'path'     => '', 
                                                  'last_mod' => ( strtotime( $row['last_modified'] ) > strtotime( $row['date_added'] ) ) ? $row['last_modified'] : $row['date_added'] );
    }
    tep_db_free_result($result); // Housekeeping

    foreach ( $categories as $cat_id => $key ) {
      if ( $key['parent'] != '0' ) {
        ( isset( $categories[$key['parent']]['children'] ) && ( $categories[$key['parent']]['children'] !== null ) ) ? null : $categories[$key['parent']]['children'] = '';
        $categories[$key['parent']]['children'] .= $key['id'] . ',';
      } else {
        $categories[$key['id']]['path'] .= $key['id'];
      }
    }

    foreach ( $categories as $cat_id => $key ) {
      $fullcatpath = '';
      if( $key['parent'] != '0' ) {
        $fullcatpath = setCpath( $categories, $key['id'] );
        $categories[$key['id']]['path'] = $fullcatpath;
      }
    }
    return $categories;
  }
  
  function create_single_sitemap_index( &$doc, &$root, $filename_suffix = '.xml' ) {
    $detail = array( 'url' => tep_href_link( 'sitemapCategories' . $filename_suffix ),
                     'lastmod' => date( "Y-m-d" ),
                     'freq' => 'weekly',
                     'priority' => '0.5' );
    usu5_node_create( $doc, $root, $detail, true);
    $detail = array( 'url' => tep_href_link( 'sitemapMobileCategories' . $filename_suffix ),
                     'lastmod' => date( "Y-m-d" ),
                     'freq' => 'weekly',
                     'priority' => '0.5' );
    usu5_node_create( $doc, $root, $detail, true);
    $detail = array( 'url' => tep_href_link( 'sitemapProducts' . $filename_suffix ),
                     'lastmod' => date( "Y-m-d" ),
                     'freq' => 'weekly',
                     'priority' => '0.5' );
    usu5_node_create( $doc, $root, $detail, true);
    $detail = array( 'url' => tep_href_link( 'sitemapMobileProducts' . $filename_suffix ),
                     'lastmod' => date( "Y-m-d" ),
                     'freq' => 'weekly',
                     'priority' => '0.5' );
    usu5_node_create( $doc, $root, $detail, true);
    $detail = array( 'url' => tep_href_link( 'sitemapManufacturers' . $filename_suffix ),
                     'lastmod' => date( "Y-m-d" ),
                     'freq' => 'weekly',
                     'priority' => '0.5' );
    usu5_node_create( $doc, $root, $detail, true );
  }

  function usu5_create_sitemap_set( $language_directory, $code, $languages_id ) {

    $filename_suffix = ( $code == DEFAULT_LANGUAGE ) ? '.xml' : '_' . $language_directory . '.xml';
    /**
    * Now for the categories
    */
    $detail = array();
    usu5_xml_init( $doc, $root, '', true);
    
    $categories = buildCategoriesCache();
    foreach ( $categories as $cid => $detail ) {
      if( preg_match( '@[0-9_]@', $detail['path'] ) ) {
        $detail = array( 'url' => tep_href_link( FILENAME_DEFAULT, 'cPath=' . $detail['path'], 'NONSSL', false ),
                         'lastmod' => date( "Y-m-d", strtotime($detail['last_mod'] ) ),
                         'freq' => 'weekly',
                         'priority' => '0.5' );
        usu5_node_create( $doc, $root, $detail, '', true );
      }
    }
    usu5_xml_exists( $doc, 'sitemapCategories' . $filename_suffix );
    // End categories xml
    
    /**
    * Now for the mobile_categories
    */
    $detail = array();
    usu5_xml_init( $doc, $root, '', '', true);
    
    $categories = buildCategoriesCache();
    foreach ( $categories as $cid => $detail ) {
      if( preg_match( '@[0-9_]@', $detail['path'] ) ) {
        $detail = array( 'url' => tep_href_link( DIR_WS_HTTP_MOBILE . FILENAME_CATALOG_MB, 'cPath=' . $detail['path'], 'NONSSL', false ),
                         'lastmod' => date( "Y-m-d", strtotime($detail['last_mod'] ) ),
                         'freq' => 'weekly',
                         'priority' => '0.5' );
        usu5_node_create( $doc, $root, $detail, '', '', true );
      }
    }
    usu5_xml_exists( $doc, 'sitemapMobileCategories' . $filename_suffix );
    // End mobile_categories xml

    /**
    * Now the products and images
    */
    $detail = array();
    usu5_xml_init( $doc, $root, '', '', '', true);
    $query = "SELECT p.products_id, p.products_image, p.products_date_added, p.products_last_modified, pd.products_name FROM " . TABLE_PRODUCTS_DESCRIPTION . " pd INNER JOIN " . TABLE_PRODUCTS . " p ON p.products_id = pd.products_id WHERE p.products_status = '1' and language_id=" . (!empty($languages_id)? $languages_id : '1') . " ORDER BY p.products_last_modified DESC, p.products_date_added DESC";
    $result = tep_db_query( $query );
    usu5_xml_init( $doc, $root, '', '', '', true);
    $count = 1;
    while ( $row = tep_db_fetch_array( $result ) ) {
      $detail = array( 'url' => tep_href_link( FILENAME_PRODUCT_INFO, 'products_id=' . (int)$row['products_id'], 'NONSSL', false ),
                       'lastmod' => ( strtotime( $row['products_last_modified'] ) > strtotime( $row['products_date_added'] ) ) ?  date( "Y-m-d", strtotime( $row['products_last_modified'] ) ) : date( "Y-m-d", strtotime( $row['products_date_added'] ) ),
                       'freq' => 'weekly',
                       'priority' => '0.5',
                       'imageurl' => str_replace('/?', '/', tep_href_link(DIR_WS_IMAGES,  $row['products_image'], 'NONSSL', false )),
                       'imagetitle' => utf8_encode($row['products_name']));
      usu5_node_create( $doc, $root, $detail, '', '', '', true );
    }
    tep_db_free_result( $result );
    usu5_xml_exists( $doc, 'sitemapProducts' . $filename_suffix );
    
    /**
    * Now the mobile products and images
    */
    $detail = array();
    usu5_xml_init( $doc, $root, '', '', '', '', true);
    $query = "SELECT p.products_id, p.products_image, p.products_date_added, p.products_last_modified, pd.products_name FROM " . TABLE_PRODUCTS_DESCRIPTION . " pd INNER JOIN " . TABLE_PRODUCTS . " p ON p.products_id = pd.products_id WHERE p.products_status = '1' and language_id=" . (!empty($languages_id)? $languages_id : '1') . " ORDER BY p.products_last_modified DESC, p.products_date_added DESC";
    $result = tep_db_query( $query );
    usu5_xml_init( $doc, $root, '', '', '', '', true);
    $count = 1;
    while ( $row = tep_db_fetch_array( $result ) ) {
      $detail = array( 'url' => tep_href_link(DIR_WS_HTTP_MOBILE . FILENAME_PRODUCT_INFO, 'products_id=' . (int)$row['products_id'], 'NONSSL', false ),
                       'lastmod' => ( strtotime( $row['products_last_modified'] ) > strtotime( $row['products_date_added'] ) ) ?  date( "Y-m-d", strtotime( $row['products_last_modified'] ) ) : date( "Y-m-d", strtotime( $row['products_date_added'] ) ),
                       'freq' => 'weekly',
                       'priority' => '0.5',
                       'imageurl' => str_replace('/?', '/', tep_href_link(DIR_WS_IMAGES,  $row['products_image'], 'NONSSL', false )),
                       'imagetitle' => utf8_encode($row['products_name']));
      usu5_node_create( $doc, $root, $detail, '', '', '', '', true );
    }
    tep_db_free_result( $result );
    usu5_xml_exists( $doc, 'sitemapMobileProducts' . $filename_suffix );
    
    /**
    * Manufacturers_sitemap
    */
    $detail = array();
    usu5_xml_init( $doc, $root, '', '', '', '', '', true);
    $query = "SELECT m.manufacturers_id, m.date_added, m.last_modified FROM " . TABLE_MANUFACTURERS . " m ORDER BY m.last_modified DESC, m.date_added DESC";
    $result = tep_db_query( $query );
    $count = 1;
    while ( $row = tep_db_fetch_array( $result ) ) {
      $detail = array( 'url' => tep_href_link( FILENAME_DEFAULT, 'manufacturers_id=' . (int)$row['manufacturers_id'], 'NONSSL', false ),
                       'lastmod' => ( strtotime( $row['last_modified'] ) > strtotime( $row['date_added'] ) ) ?  date( "Y-m-d", strtotime( $row['last_modified'] ) ) : date( "Y-m-d", strtotime( $row['date_added'] ) ),
                       'freq' => 'weekly',
                       'priority' => '0.5' );
      usu5_node_create( $doc, $root, $detail, $imagedetail, '', '', '', '', '', true );
    }
    tep_db_free_result( $result );
    usu5_xml_exists( $doc, 'sitemapManufacturers' . $filename_suffix );
  
  } // end function


  if ( defined( 'USU5_MULTI_LANGUAGE_SEO_SUPPORT' ) && USU5_MULTI_LANGUAGE_SEO_SUPPORT == 'true' ) {
    $languages_query = tep_db_query( "select languages_id, name, code, image, directory from " . TABLE_LANGUAGES . " order by sort_order" );
    $current_language = '';
    $languages_array = array();
    while ( $languages = tep_db_fetch_array( $languages_query ) ) {
      $languages_id = $languages['languages_id'];
      $language = $languages['directory'];
      Usu_Main::i()->initiate( array(), $languages_id, $language, true );
      usu5_create_sitemap_set( $languages['directory'], $languages['code'], $languages['languages_id'] );
      $languages_array[] = $languages;
    }
    usu5_xml_init( $doc, $root, true );
    foreach ( $languages_array as $index => $language_data ) {
      $filename_suffix = ( $language_data['code'] == DEFAULT_LANGUAGE ) ? '.xml' : '_' . $language_data['directory'] . '.xml';
      create_single_sitemap_index( $doc, $root, $filename_suffix );
    }
     usu5_xml_exists( $doc, 'sitemapIndex.xml' );
  } else {
    usu5_xml_init( $doc, $root, true );
    create_single_sitemap_index( $doc, $root );
    usu5_xml_exists( $doc, 'sitemapIndex.xml' );
    usu5_create_sitemap_set( $language, DEFAULT_LANGUAGE, $languages['languages_id'] );
  }
  echo 'sitemaps created with exit';
  include_once DIR_WS_INCLUDES . 'application_bottom.php';
