<?php
require_once('mobile/includes/application_top.php');

// if the customer is not logged on, redirect them to the login page
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
  }

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART));
  }

// if no shipping method has been selected, redirect the customer to the shipping method selection page
  if (!tep_session_is_registered('shipping')) {
    tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  }

// avoid hack attempts during the checkout procedure by checking the internal cartID
  if (isset($cart->cartID) && tep_session_is_registered('cartID')) {
    if ($cart->cartID != $cartID) {
      tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
    }
  }

// Stock Check
  if ( (STOCK_CHECK == 'true') && (STOCK_ALLOW_CHECKOUT != 'true') ) {
    $products = $cart->get_products();
    for ($i=0, $n=sizeof($products); $i<$n; $i++) {
      if (tep_check_stock($products[$i]['id'], $products[$i]['quantity'])) {
        tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART));
        break;
      }
    }
  }
  

// if no billing destination address was selected, use the customers own address as default
  if (!tep_session_is_registered('billto')) {
    tep_session_register('billto');
    $billto = $customer_default_address_id;
  } else {
// verify the selected billing address
    if ( (is_array($billto) && empty($billto)) || is_numeric($billto) ) {
      $check_address_query = tep_db_query("select count(*) as total from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customer_id . "' and address_book_id = '" . (int)$billto . "'");
      $check_address = tep_db_fetch_array($check_address_query);

      if ($check_address['total'] != '1') {
        $billto = $customer_default_address_id;
        if (tep_session_is_registered('payment')) tep_session_unregister('payment');
      }
    }
  }
  require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

  if (!tep_session_is_registered('comments')) tep_session_register('comments');
  if (isset($HTTP_POST_VARS['comments']) && tep_not_null($HTTP_POST_VARS['comments'])) {
    $comments = tep_db_prepare_input($HTTP_POST_VARS['comments']);
  }

  $total_weight = $cart->show_weight();
  $total_count = $cart->count_contents();

// load all enabled payment modules
  require(DIR_MOBILE_CLASSES . 'payment.php');
  $payment_modules = new payment;

  require(DIR_WS_LANGUAGES . $language . '/checkout_payment.php');

  $breadcrumb->add(NAVBAR_TITLE_1, tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_mobile_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL'));

  require(DIR_MOBILE_INCLUDES . 'header.php');
  session_start();
  $_SESSION['matc']='false';
	$headerTitle->write();?>
<script type="text/javascript">
  // Discount Code 3.1.1 - start
<?php
  // Discount Code 3.1.1 - start
  if (MODULE_ORDER_TOTAL_DISCOUNT_STATUS == 'true') {
?>
$(document).ready(function() {
var a = 0;
discount_code_process();
$('#discount_code').blur(function() { if (a == 0) discount_code_process(); a = 0 });
$("#discount_code").keypress(function(event) { if (event.which == 13) { event.preventDefault(); a = 1; discount_code_process() } });
function discount_code_process() { 
	if ($("#discount_code").val() != "") { 
		//$("#discount_code").attr("readonly", "readonly"); 
		//$("#discount_code_status").empty().append('<?php echo tep_image('/'.DIR_WS_ICONS . 'dc_progress.gif'); ?>'); 
		$.post("/discount_code.php", { discount_code: $("#discount_code").val() }, function(data) { data == 1 ? $("#discount_code_status").empty().append('<?php echo tep_image('/'.DIR_WS_ICONS . 'dc_success.gif'); ?>') : $("#discount_code_status").empty().append('<?php echo tep_image('/'.DIR_WS_ICONS . 'dc_failed.gif'); ?>'); $("#discount_code").removeAttr("readonly") }); 
		} 
		}
});
<?php
  }
  // Discount Code 3.1.1 - end
?>
</script>
<?php echo $payment_modules->javascript_validation(); ?>
<div id="iphone_content">
<div id="checkout_payment">
<div id="bouton">
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
	<td><?php echo tep_draw_form('back', tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL')) . tep_mobile_button(IMAGE_BUTTON_BACK) . "</form>"; 
	//osc-support-edition BOF 
  if ($messageStack->size('terms_agree') > 0) {
    echo $messageStack->output('terms_agree');
  }
//osc-support-edition EOF
	 echo tep_draw_form('checkout_payment', tep_mobile_link(FILENAME_CHECKOUT_CONFIRMATION, '', 'SSL'), 'post', 'onsubmit="return check_form();"'); ?>
<td align="right"><input type="submit" value="<?php echo IMAGE_BUTTON_CONTINUE; ?>"></div>
          </tr>
        </table></td>
	</div>	
<?php
  if (isset($HTTP_GET_VARS['payment_error']) && is_object(${$HTTP_GET_VARS['payment_error']}) && ($error = ${$HTTP_GET_VARS['payment_error']}->get_error())) {
?>
<div id="messageStack">
<?php echo tep_output_string_protected($error['title']); ?>
<?php echo tep_output_string_protected($error['error']); ?>
</div>
<?php
  }
?>

      <h1><?php echo TABLE_HEADING_PAYMENT_METHOD; ?></h1>
<?php
  $selection = $payment_modules->selection();

  if (sizeof($selection) > 1) {
?>
              <?php echo TEXT_SELECT_PAYMENT_METHOD; ?>
<?php
  } else {
?>
              <?php echo TEXT_ENTER_PAYMENT_INFORMATION; ?>
<?php
  }

  $radio_buttons = 0;
  for ($i=0, $n=sizeof($selection); $i<$n; $i++) {
?>
<?php
/*    if ( ($selection[$i]['id'] == $payment) || ($n == 1) ) {
      echo '    <tr id="defaultSelected" class="moduleRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="selectRowEffect(this, ' . $radio_buttons . ')">' . "\n";
    } else {
      echo '    <tr class="moduleRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="selectRowEffect(this, ' . $radio_buttons . ')">' . "\n";
    }
*/?>
<div id="module">
<?php
    if (sizeof($selection) > 1) {
      echo tep_draw_radio_field('payment', $selection[$i]['id'], ($selection[$i]['id'] == $payment));
    } else {
      echo tep_draw_hidden_field('payment', $selection[$i]['id']);
    }
?>
                <?php echo $selection[$i]['module']; ?>
<?php
    if (isset($selection[$i]['error'])) {
?>
              <?php echo $selection[$i]['error']; ?>
<?php
	}
	elseif (isset($selection[$i]['fields']) && is_array($selection[$i]['fields'])) {
?>
			  
<?php
      for ($j=0, $n2=sizeof($selection[$i]['fields']); $j<$n2; $j++) {
?>
                      <?php echo $selection[$i]['fields'][$j]['title']; ?>
					  <?php echo $selection[$i]['fields'][$j]['field']; ?>
<?php
      }
?>

<?php
    }
	?>
	</div>
	<?php
    $radio_buttons++;
  }
?>
        <hr />
		<h1><?php echo TABLE_HEADING_BILLING_ADDRESS; ?></h1>
		<div id="bill_add">
		<?php echo tep_address_label($customer_id, $billto, true, ' ', '<br>'); ?>
		<?php echo '<a href="' . tep_mobile_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL') . '">' . IMAGE_BUTTON_CHANGE_ADDRESS . '</a>'; ?>
		</div>
		<hr />
		<?php
  // Discount Code 3.1.1 - start
  if (MODULE_ORDER_TOTAL_DISCOUNT_STATUS == 'true') {
?>

  <h1><?php echo TEXT_DISCOUNT_CODE; ?></h1>

  <div class="contentText">
    <table border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="middle" height="25"><?php echo tep_draw_input_field('discount_code', $sess_discount_code, 'id="discount_code" size="10"'); ?></td>
        <td width="5"></td>
        <td valign="middle"><div id="discount_code_status"></div></td>
      </tr>
    </table>
  </div>
<?php
  }
  // Discount Code 3.1.1 - end
?>
		<hr />
		<h1><?php echo TABLE_HEADING_COMMENTS; ?></h1>
		<div id="bill_add">
		<?php echo tep_draw_textarea_field('comments', 'soft', '40', '6', $comments); ?>
		</div>
		<?php
// osc-support-edition BOF
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CONDITIONS);
?>
  <h1><?php echo HEADING_AGB_INFORMATION; ?></h1>
  <div class="contentText">
    <div class="termsContainer"><?php echo TEXT_AGB_CHECKOUT; ?></div>
  </div>
<?php
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_WIDERRUF);
?>
  <h1><?php echo HEADING_WIDERRUF_INFORMATION; ?></h1>  
  <div class="contentText">
    <div class="termsContainer"><?php echo TEXT_WIDERRUF_CHECKOUT; ?></div>
  </div>
  <?php //echo '<a href="' . tep_mobile_link(FILENAME_MOBILE_CONDITIONS, '', 'SSL') . '">' . HEADING_AGB_INFORMATION . '</a>'; ?><!--</br>-->
	<?php //echo '<a href="' . tep_mobile_link(FILENAME_MOBILE_WIDERRUF, '', 'SSL') . '">' . HEADING_WIDERRUF_INFORMATION . '</a>'; ?><!--</br>-->

<div id="bill_add">
<table border="0" width="100%" cellspacing="0" cellpadding="2">	
  <?php echo '      <tr class="moduleRowSelected" onclick="selectRowEffectt(this)">' . "\n"; ?>
  <!--<div class="contentText">-->
    <td style="padding-left: 10px;"><?php echo tep_draw_checkbox_field('terms', 'true'); ?></td>
    <td width="100%" style="padding-top: 13px; padding-bottom: 11px;">&nbsp;&nbsp;<?php echo TERMS_ACCEPT_TEXT; ?></td>
  </tr>
  </table>
</div>
<?php
// osc-support-edition EOF
?>
		 
		<div id="bouton"><input type="submit" value="<?php echo IMAGE_BUTTON_CONTINUE; ?>"></div>
		</div>
    </form>
	<?php require(DIR_MOBILE_INCLUDES . 'footer.php'); ?>
	</div>
